searchData={"items":[{"type":"module","title":"Metatags","doc":"Metatags is used to provide an easy API to print out context-specific\nmetatags.","ref":"Metatags.html"},{"type":"function","title":"Metatags.print_tags/1","doc":"Turns metadata information into HTML tags","ref":"Metatags.html#print_tags/1"},{"type":"function","title":"Metatags.put/3","doc":"Puts a key and a value in the on a %Conn{} struct\n\nexample:\n\n```\niex> conn = %Conn{}\niex> Metatags.put(conn, \"title\", \"Welcome!\")\n%Conn{private: %{metadata: %{\"title\" => \"Welcome!\"}}}\n```","ref":"Metatags.html#put/3"},{"type":"function","title":"Metatags.put/4","doc":"","ref":"Metatags.html#put/4"},{"type":"type","title":"Metatags.metatag_value/0","doc":"","ref":"Metatags.html#t:metatag_value/0"},{"type":"module","title":"Metatags.HTML","doc":"Transforms metatags to HTML","ref":"Metatags.HTML.html"},{"type":"function","title":"Metatags.HTML.from_conn/1","doc":"Turns a `%Plug.Conn{}` with metatags into HTML","ref":"Metatags.HTML.html#from_conn/1"},{"type":"module","title":"Metatags.Plug","doc":"`Metatags.Plug` is a plug that can be used in a Plug router","ref":"Metatags.Plug.html"},{"type":"extras","title":"Metatags","doc":"# Metatags\n\n[![CircleCI](https://circleci.com/gh/johantell/metatags.svg?style=svg)](https://circleci.com/gh/johantell/metatags)\n[![Coverage Status](https://coveralls.io/repos/github/johantell/metatags/badge.svg?branch=master)](https://coveralls.io/github/johantell/metatags?branch=master)\n[![Hex version](https://img.shields.io/hexpm/v/metatags.svg)](https://hex.pm/metatags)\n\nMetatags provides an easy and flexible way to set both default and page specific metatags that are\nused for SEO, Facebook, Twitter etc.\n\nDocumentation is available at [https://hexdocs.pm/metatags](https://hexdocs.pm/metatags).","ref":"readme.html"},{"type":"extras","title":"Installation - Metatags","doc":"Add `metatags` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [{:metatags, \"~> 0.5.0\"}]\nend\n```\n\nAdd the plug to your router and configure the defaults\n(You can use `Application.get_env/3` if you'd like to extract it into the\nconfiguration file).\n\n```elixir\ndefmodule MyRouter do\n  use Plug.Conn\n\n  plug Metatags.Plug,\n    sitename: \"My_app\",\n    title_separator: \"-\",\n    default_tags: %{\n      \"title\" => \"Welcome!\",\n      \"description\" => \"My_app is a great app\",\n      \"keywords\" => [\"My_app\", \"great\", \"elixir\"]\n    }\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Metatags","doc":"In your controller put page specific data:\n```elixir\nconn\n|> Metatags.put(\"title\", \"About My_app\")\n|> Metatags.put(\"description\", \"My app is just a regular app\")\n|> Metatags.put(\"og\", %{\"image\" => \"http://myimage.jpg\"}) # You can have nested structures\n|> Metatags.put(\"og:image\", \"http://myimage.jpg\") # or define them inline\n|> Metatags.put(\"canonical\", \"http://my-url.com\")\n|> Metatags.put(\"alternate\", \"http://en.my-url.com\", hreflang: \"en-GB\")\n```\n\nAnd print them out inside your head tag\n```elixir\n<!DOCTYPE>\n \n   \n    <%= Metatags.print_tags(@conn) %>\n   \n   \n     Welcome \n   \n \n```","ref":"readme.html#usage"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"0.5.0 - Changelog","doc":"- Set canonical URL to metatags (unless set) before printing","ref":"changelog.html#0-5-0"},{"type":"extras","title":"0.4.0 - Changelog","doc":"- Remove reliance on `phoenix_html` to build tags\n- Relax `phoenix_html` versions","ref":"changelog.html#0-4-0"},{"type":"extras","title":"0.3.2 - Changelog","doc":"- Update `phoenix_html` to `~> 3.1`","ref":"changelog.html#0-3-2"},{"type":"extras","title":"0.3.1 - Changelog","doc":"- Require elixir 1.10\n- Add support for common ` ` tags: `next`, `canonical`, `alternate`\n  and `apple-touch-icon-precomposed`\n- Add `Metatags.put/4` to enable extra attributes to be set on the metatags.\n  One example would be:\n\n  ```elixir\n  Metatags.put(conn, \"alternate\", \"https://my-url.se\", hreflang: \"sv_SE\")\n  ```","ref":"changelog.html#0-3-1"},{"type":"extras","title":"0.3.0 - Changelog","doc":"- Move configuration of default values to the plug definition\n- Extract the plug to `Metatags.Plug`\n\n  *Migrate*:\n  First, change the plug from `Metatags` to `Metatags.Plug`.\n  After that you can move whatever you have in your configuration and put\n  behind `plug Metatags.Plug` in your router. If you require environment\n  specific defaults, use `Application.get_env/3`.","ref":"changelog.html#0-3-0"},{"type":"extras","title":"0.2.2 - Changelog","doc":"- Add `[String.t()]` to `Metatags.put/3` type spec\n- Replace `ESpec` with `ExUnit` in internal test suite","ref":"changelog.html#0-2-2"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}